package cc.clayman.console;

/**
 * A ManagementConsole listens for connections
 * for doing component management.
 */
public interface ManagementConsole  {
    /**
     * Start the ManagementConsole.
     */
    public boolean start();

    /**
     * Stop the ManagementConsole.
     */
    public boolean stop();

    /**
     * Construct a ManagementConsole, given a specific port.
     */
    public void initialise (int port);


    public void registerCommands();

    /**
     * Define a handler for a request
     */
    public void defineRequestHandler(String pattern, RequestHandler rh);


    /**
     * Get an associated object.
     * Possibly a controller or a container.
     */
    public Object getAssociated();

    /**
     * Set an associated object.
     * Possibly a controller or a container.
     */
    public void setAssociated(Object obj);

}

