// Aggregator.java
// Author: Stuart Clayman
// Email: sclayman@ee.ucl.ac.uk
// Date: July 2009

package eu.reservoir.aggregator;

import java.util.Collection;

/**
 * This interface is used to define an aggregation function for an Aggregator.
 * The aggregate() method takes the Collection<ChooserResult> that 
 * is returned by the Selector and aggregates them.
 * The Aggregate class provides some support functions that are useful, such as:
 * sum, length, average, variance, sd, max, min.
 */
public interface AggregateFn {
    /**
     * Aggregate the collection
     */
    public AggregatorMeasurement aggregate(Collection<ChooserResult> collection);
}
