// Aggregator.java
// Author: Stuart Clayman
// Email: sclayman@ee.ucl.ac.uk
// Date: July 2009

package eu.reservoir.aggregator;

import java.util.Collection;
import java.util.HashSet;
import java.util.TreeSet;

/**
 * An Aggregator takes Collection of Numbers and
 * aggregates them into a result.
 */

public class Aggregator {
    /*
     * The actual Aggregation function.
     * Start with the size() function.
     */
    AggregateFn function = new AggregateFn() {
	    public AggregatorMeasurement aggregate(Collection<ChooserResult> coll) {
		return null;
	    }
	};

    /**
     * Construct an Aggregator.
     */
    public Aggregator() {
    }

    /**
     * Do the aggregation on a Collection of ChooserResults.
     */
    public AggregatorMeasurement aggregate(Collection<ChooserResult> collection) {
	AggregatorMeasurement result = function.aggregate(collection);
	return result;
    }

    /**
     * Get the current aggregation function.
     */
    public AggregateFn getAggregateFn() {
	return function;
    }

    /**
     * Set the Aggregation function to use;
     */
    public Aggregator setAggregateFn(AggregateFn f) {
	function = f;
	return this;
    }


}
