// Chooser.java
// Author: Stuart Clayman
// Email: sclayman@ee.ucl.ac.uk
// Date: July 2009

package eu.reservoir.aggregator;

/**
 * This interface is used to define a chooser for a Selector.
 * The choose() method is applied by the Selector to values
 * collected from the Extractor.
 * Therefore the output of an Extractor must be the input to a Chooser.
 */
public interface Chooser {
    /**
     * Choose something from the data in the object.
     */
    public ChooserResult choose(Object obj);
}
