// Filter.java
// Author: Stuart Clayman
// Email: sclayman@ee.ucl.ac.uk
// Date: July 2009

package eu.reservoir.aggregator;

/**
 * This interface is used to define a filter for the Forwarder.
 * The filter() method is applied by the Forwarder to values
 * passed in.  If the filter passes the value then it is forwarded,
 * otherwise the value is not forwarded.
 */
public interface Filter {
    /**
     * Filter an AggregatorMeasurement
     * Gets passed the Forwarder this is a filter for.
     * Returns true on success, false if the filtering fails.
     */
    public boolean filter(Forwarder forwarder, AggregatorMeasurement m);
}
