// Collector1.java
// Author: Stuart Clayman
// Email: sclayman@ee.ucl.ac.uk
// Date: July 2009

package eu.reservoir.aggregator.tests;

import eu.reservoir.aggregator.*;
import eu.reservoir.monitoring.core.*;
import eu.reservoir.monitoring.core.plane.DataPlane;
import eu.reservoir.monitoring.distribution.*;
import eu.reservoir.monitoring.distribution.multicast.*;
import java.io.Serializable;
import java.util.Scanner;
import java.util.Properties;
import com.timeindexing.index.*;
import com.timeindexing.time.MillisecondTimestamp;
import com.timeindexing.data.SerializableItem;

/**
 * Test of Collector.
 */
public class Collector1 {
    /**
     * Main test.
     */
    public static void main(String [] args) {
	String addr = "229.229.0.2";
	int port = 2299;

	if (args.length == 0) {
	    // use builtin addr and port
	} else if (args.length == 2) {
	    addr = args[0];

	    Scanner sc = new Scanner(args[1]);
	    port = sc.nextInt();

	} else {
	    System.err.println("usage: Collector multicast-address port");
	    System.exit(1);
	}

	// got to here, so collector is set up
        DataPlane inputDataPlane = new MulticastDataPlaneConsumer(new MulticastAddress(addr, port));

	Collector collector = new Collector(inputDataPlane, "/tmp", "collector1");
	// extract the ProbeValue list from a Measurement
	Extractor onlyProbeValues = new Extractor() {
		public Serializable extract(Measurement m) {
		    Serializable object = (Serializable)m.getValues();
		    System.out.println("Collected: " + object);
		    return object;
		}
	    };
	// set the extractor
	collector.setExtractor(onlyProbeValues);
	// start
	collector.start();

	System.err.println("Collector running on " + addr + "/" + port + " .....");
    }

}
